Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ssl_certificate_usage = client.cdn.certificates.get_usage(
0,
)
print(ssl_certificate_usage.aliases)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
sslCertificateUsage, err := client.CDN.Certificates.GetUsage(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", sslCertificateUsage.Aliases)
}
curl --request GET \
--url https://api.gcore.com/cdn/sslData/{cert_id}/usage \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cdn/sslData/{cert_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"resources": [
{
"id": 101,
"cname": "api.example.com",
"status": "active"
},
{
"id": 102,
"cname": "app.example.com",
"status": "active"
}
],
"aliases": [
{
"id": 201,
"cname": "shop.example.com",
"status": "active"
}
]
}SSL certificates
Get SSL certificate usage
Get list of CDN resources and aliases that are using this SSL certificate.
This endpoint is useful to check which resources and aliases depend on a certificate before renewing, modifying, or deleting it.
GET
/
cdn
/
sslData
/
{cert_id}
/
usage
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
ssl_certificate_usage = client.cdn.certificates.get_usage(
0,
)
print(ssl_certificate_usage.aliases)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
sslCertificateUsage, err := client.CDN.Certificates.GetUsage(context.TODO(), 0)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", sslCertificateUsage.Aliases)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
SSL certificate ID.
Response
Successful.
Was this page helpful?